=== debian/control ===
Source: display-dhammapada
Section: misc
Priority: extra
Maintainer: Ricardas Cepas <rch@debian.org>
Standards-Version: 2.3.0.1

Package: display-dhammapada
Architecture: any
Depends: ${shlibs:Depends}
Description: Displays verse from Dhammapada.
 Displays a random verse (a dhammapada) from English translation of the
 Dhammapada. You can put it in your shell startup script.
