## display-dhammapada 0.17

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 SHELL = /bin/sh
 package = display-dhammapada
 Package = $(package)
-VERSION = 0.15
-
+VERSION = 0.17
+
+# ARCHITECTURE is for Linux packages only:
 #ARCHITECTURE = i386
 ARCHITECTURE=$(shell arch="`if test -x /usr/bin/dpkg; \
 	then dpkg --print-architecture; else uname -m; fi`" \
@@ -16,9 +17,14 @@
 
 # install files with this ownership:
 owner=root
-group=staff
-
-install_own = -o $(owner) -g $(group)
+group=wheel
+
+install_own = -o $(owner) -g $$Group
+INSTALL_DATA = install -c    $(install_own) -m 664
+INSTALL_MAN = $(INSTALL_DATA)
+INSTALL_PROGRAM = install -c -s $(install_own) -m 775
+INSTALL_SCRIPT =  install -c $(install_own) -m 775
+MKDIR = install -d $(install_own) -m 2775
 BIN      = display-dhammapada
 BINshort = dp
 CC      = cc
@@ -28,18 +34,19 @@
 	../$(package)_$(VERSION).dsc \
 	../$(package)_$(VERSION).tar.gz
 DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
-DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog COPYING copyright
-EXAMPLES = examples/profile
+DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog COPYING copyright INSTALL README
+EXAMPLES = examples/profile examples/xsession
 #GZIPDOCS = yes
 SRCS    = $(BIN).c $(Package).spec.in Makefile INSTALL
-prefix  = /usr/local
+PREFIX  = /usr/local
+prefix  = ${PREFIX}
 exec_prefix = $(prefix)
 bindir  = $(exec_prefix)/bin
-docsdir  = $(prefix)/doc/$(Package)
+docsdir  = $(prefix)/share/doc/$(Package)
 examplesdir = $(docsdir)/examples
 datadir  = $(prefix)/share/$(Package)
 # relative symlink from docsdir to datadir:
-relDATADIR = ../../share/$(Package)
+relDATADIR = ../../$(Package)
 DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP)"' \
 	'-DDPPATHNAME2="$(datadir)/$(DP)"' '-DVERSION="$(VERSION)"'
 
@@ -50,28 +57,28 @@
 clean:
 	-rm  -R -f *.o *~ *.bak 1 2 t tmp \#*\# errors* core* \
 		a.out typescript debian/tmp debian/files* debian/substvars* \
-		./stdin ./stdout $(BIN) $(BINshort) $(Package)-*.spec
+		./stdin ./stdout $(BIN) $(BINshort) $(Package)-*.spec \
+		FreeBSD_port/$(Package)/work
 
 debdist $(DEBDIST):	$(DEBIAN) $(DOCS) $(EXAMPLES) $(MAN1) $(SRCS)
 	test -r $$HOME/.pgp/secring.pgp
 	dpkg-buildpackage
 
-dist tar:	clean all $(Package)-$(VERSION).spec
+dist tar:	clean all $(Package)-$(VERSION).lsm $(Package)-$(VERSION).spec
 	-rm -f *.o
 	cd .. && tar -cvzf $(Package)-$(VERSION).tar.gz $(Package)-$(VERSION)/
 	
-
+# should not rm deb files
 distclean: clean
-	-rm ../$(package)_$(VERSION)_$(ARCHITECTURE).deb
 
 disttest:	$(DEBDIST)
 	cp $(addprefix ../$(package)_$(VERSION).,dsc tar.gz) /tmp/
 	cd /tmp && tar -xvzf $(package)_$(VERSION).tar.gz
 	cd /tmp/$(package)-$(VERSION) && \
-			make install test uninstall
+			pmake install test uninstall
 	make rpm
 	rpm --install --force --nodeps /usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-0.$(ARCHITECTURE).rpm
-	rpm -qisv display-dhammapada
+	rpm -qisv $(Package)
 	rm -R -f /tmp/$(package)-$(VERSION)
 	cd /tmp && dpkg-source -x $(package)_$(VERSION).dsc
 	cd /tmp/$(package)-$(VERSION) && \
@@ -83,20 +90,32 @@
 	rm -R -f /tmp/$(package)-$(VERSION)
 
 install:	all $(DOCS) $(MAN1)
-	install -d $(install_own) -m 2775	$(bindir)
-	install -s $(install_own) -m 775	$(BIN)		$(bindir)
+	set -o errexit; set -x; \
+		for group in $(group) wheel staff bin root; \
+		do if install -d -g $$group ./tstdir; \
+		   then \
+			Group=$$group; export Group; \
+			rmdir ./tstdir; \
+			break; \
+		   fi; \
+		done; \
+	test -e $(bindir) || $(MKDIR)	$(bindir); \
+	$(INSTALL_PROGRAM)	$(BIN)		$(bindir); \
 	if [ $(BINshort)_ != _ ]; \
 	then \
 		ln -f -s	$(BIN)		$(bindir)/$(BINshort) \
 		|| ln -f	$(BIN)		$(bindir)/$(BINshort); \
-	fi
-	install -d $(install_own) -m 2775	$(datadir)
-	install    $(install_own) -m 664	$(DP)		$(datadir)
-	install -d $(install_own) -m 2775	$(docsdir)
-	cp -p -f -d				$(DOCS)		$(docsdir)
-	cd $(docsdir) && chown $(owner).$(group) $(DOCS) && chmod 664 $(DOCS)
-	install -d $(install_own) -m 2775	$(examplesdir)
-	install    $(install_own) -m 664	$(EXAMPLES)	$(examplesdir)
+	fi; \
+	test -e $(datadir) || $(MKDIR)	$(datadir); \
+	$(INSTALL_DATA)		$(DP)		$(datadir); \
+	test -e $(docsdir) || $(MKDIR)	$(docsdir); \
+	for f in $(DOCS); do \
+		if test -h $$f; then cp -pf $$f	$(docsdir); \
+				else $(INSTALL_MAN) $$f	$(docsdir); \
+		fi; \
+	done; \
+	test -e $(examplesdir) || $(MKDIR)	$(examplesdir); \
+	$(INSTALL_SCRIPT)	$(EXAMPLES)	$(examplesdir)	# Group is used here
 	[ _$(GZIPDOCS) != _yes ] || gzip --best --force --verbose $(docsdir)/changelog
 	if [ $(datadir) != $(docsdir) ]; \
 	then \
@@ -104,22 +123,50 @@
 		|| ln -f $(relDATADIR)/$(DP) $(docsdir); \
 	fi
 
-realclean: clean
-	-rm $(DEBDIST)
+$(Package)-$(VERSION).lsm lsm:	$(Package).lsm.in
+	-rm -f $(package)*.lsm $(Package)*.lsm
+	[ $(VERSION)x != x ]
+	sed -e 's/$${date}/'`LC_ALL=C date +%d%b%y |tr a-z A-Z`'/g; \
+		s/$${version}/$(VERSION)/g'  $(Package).lsm.in >$(Package)-$(VERSION).lsm
+	touch lsm
+
+port:
+	sed -n -e 's/^Description:[[:space:]]*//p' $(Package).lsm.in \
+		> FreeBSD_port/$(Package)/pkg/COMMENT
+	{ sed -n -e '/^Description:/,/^[^[:space:]]/!d; /^[[:space:]]/p' \
+		$(Package).lsm.in; echo; \
+		echo '- Ricardas Cepas <rch@WriteMe.Com>'; } \
+		> FreeBSD_port/$(Package)/pkg/DESCR
+	cd FreeBSD_port/$(Package)/ # && make makesum
+	cd FreeBSD_port/$(Package)/work/$(Package)-$(VERSION) && make \
+		&& make distclean \
+		&& make group=wheel prefix=/tmp/$(Package) install
+	{ find /tmp/$(Package) -type f -or -type l \
+          |sed -e 's!^'/tmp/$(Package)/'!!'; \
+	  echo @dirrm share/doc/display-dhammapada/examples; \
+	  echo @dirrm share/doc/display-dhammapada; \
+	  echo @dirrm share/display-dhammapada; \
+	} > FreeBSD_port/$(Package)/pkg/PLIST
+
+
+
+realclean: distclean
+	-rm $(DEBDIST) *.lsm
+	
 
 $(Package)-$(VERSION).spec:	$(Package).spec.in
 	-rm -f $(Package)*.spec
 	[ $(VERSION)x != x ]
 	Summary="`sed -n -e 's/^Description:[[:space:]]*//p' \
-						$(Package)-$(VERSION).lsm`" \
+						$(Package).lsm.in`" \
 	&& Copying="`sed -n -e 's/^Copying-policy:[[:space:]]*//p' \
-						$(Package)-$(VERSION).lsm`" \
+						$(Package).lsm.in`" \
 	&& sed -e 's/$${version}/$(VERSION)/g; s/$${summary}/'"$${Summary}"'/g; \
 		 s/$${copying}/'"$${Copying}"/g \
-		 $< >tmp
+		 $(Package).spec.in >tmp
 	sed -n -e '1,/^%description/p' tmp >$@
 	sed -n -e '/^Description:/,/^[^[:space:]]/!d; /^[[:space:]]/p' \
-		$(Package)-$(VERSION).lsm >>$@
+		$(Package).lsm.in >>$@
 	sed -n -e '1,/^%description/!p' tmp >>$@
 	rm -f tmp
 
@@ -142,9 +189,9 @@
 	@echo Testing installation...
 	$(bindir)/$(BIN)
 	-$(bindir)/$(BINshort)
-	. $(examplesdir)/profile
+	sh -c '. $(examplesdir)/profile'
 	@echo -n "Press <enter> ... "
-	@read a
+	@sh -c 'read a'
 
 uninstall:
 	rm -f $(bindir)/$(BIN) $(bindir)/$(BINshort) \
