=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: display-dhammapada
 Section: misc
 Priority: extra
-Maintainer: Ricardas Cepas <rch@debian.org>
+Maintainer: Ricardas Cepas <rch@WriteMe.Com>
 Standards-Version: 2.3.0.1
 
 Package: display-dhammapada
