=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,10 @@
 			 debian/copyright debian/rules
 	-rm -f -R debian/tmp
 	install --directory debian/tmp debian/tmp/DEBIAN
-	make prefix=debian/tmp/usr GZIPDOCS=yes owner=root group=root install
+	make prefix=debian/tmp/usr GZIPDOCS=yes owner=root group=root \
+		docsdir=debian/tmp/usr/doc/display-dhammapada \
+		relDATADIR=../../share/display-dhammapada \
+		install
 ##	cp debian/{postinst,prerm} debian/tmp/DEBIAN/.
 ##	chmod +x debian/tmp/DEBIAN/{postinst,prerm}
 	dpkg-shlibdeps $(BIN) -O >debian/substvars
