## display-dhammapada 0.20

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 SHELL = /bin/sh
 package = display-dhammapada
 Package = $(package)
-VERSION = 0.17
+VERSION = 0.20
 
 # ARCHITECTURE is for Linux packages only:
 #ARCHITECTURE = i386
-ARCHITECTURE=$(shell arch="`if test -x /usr/bin/dpkg; \
-	then dpkg --print-architecture; else uname -m; fi`" \
-	&& if [ "$${arch%%i?86}"y = y ]; then arch=i386; fi \
-	&& echo "$$arch")
+ARCHITECTURE=$(shell if test -x /usr/bin/dpkg; \
+	then dpkg --print-architecture; else uname -m; fi \
+	| sed -e 's/^.*i.86\>.*/i386/'; )
 
 # flags for your C compiler:
 OPT = -O2
@@ -34,8 +33,9 @@
 	../$(package)_$(VERSION).dsc \
 	../$(package)_$(VERSION).tar.gz
 DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
-DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog COPYING copyright INSTALL README
+DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog copyright INSTALL
 EXAMPLES = examples/profile examples/xsession
+MAN1	= $(Package).1
 #GZIPDOCS = yes
 SRCS    = $(BIN).c $(Package).spec.in Makefile INSTALL
 PREFIX  = /usr/local
@@ -44,18 +44,22 @@
 bindir  = $(exec_prefix)/bin
 docsdir  = $(prefix)/share/doc/$(Package)
 examplesdir = $(docsdir)/examples
+mandir  = $(prefix)/man
 datadir  = $(prefix)/share/$(Package)
 # relative symlink from docsdir to datadir:
 relDATADIR = ../../$(Package)
 DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP)"' \
 	'-DDPPATHNAME2="$(datadir)/$(DP)"' '-DVERSION="$(VERSION)"'
 
-all:	$(BIN)
+all:	$(BIN) $(MAN1)
 
 $(BIN):
 
+$(MAN1):
+	    sed -e's./usr/share/display-dhammapada.$(datadir).g;s./usr/share/doc/display-dhammapada.$(docsdir).g'	<$(Package).1.in >$(MAN1); \
+
 clean:
-	-rm  -R -f *.o *~ *.bak 1 2 t tmp \#*\# errors* core* \
+	-rm  -R -f *.o *~ *.bak *.tmp.1 $(MAN1) 1 2 t tmp \#*\# errors* core* \
 		a.out typescript debian/tmp debian/files* debian/substvars* \
 		./stdin ./stdout $(BIN) $(BINshort) $(Package)-*.spec \
 		FreeBSD_port/$(Package)/work
@@ -64,7 +68,7 @@
 	test -r $$HOME/.pgp/secring.pgp
 	dpkg-buildpackage
 
-dist tar:	clean all $(Package)-$(VERSION).lsm $(Package)-$(VERSION).spec
+dist tar:	clean $(MAN1) $(Package)-$(VERSION).lsm $(Package)-$(VERSION).spec
 	-rm -f *.o
 	cd .. && tar -cvzf $(Package)-$(VERSION).tar.gz $(Package)-$(VERSION)/
 	
@@ -101,6 +105,7 @@
 		done; \
 	test -e $(bindir) || $(MKDIR)	$(bindir); \
 	$(INSTALL_PROGRAM)	$(BIN)		$(bindir); \
+	$(INSTALL_SCRIPT)	xdp		$(bindir); \
 	if [ $(BINshort)_ != _ ]; \
 	then \
 		ln -f -s	$(BIN)		$(bindir)/$(BINshort) \
@@ -108,19 +113,35 @@
 	fi; \
 	test -e $(datadir) || $(MKDIR)	$(datadir); \
 	$(INSTALL_DATA)		$(DP)		$(datadir); \
-	test -e $(docsdir) || $(MKDIR)	$(docsdir); \
-	for f in $(DOCS); do \
-		if test -h $$f; then cp -pf $$f	$(docsdir); \
-				else $(INSTALL_MAN) $$f	$(docsdir); \
-		fi; \
-	done; \
-	test -e $(examplesdir) || $(MKDIR)	$(examplesdir); \
-	$(INSTALL_SCRIPT)	$(EXAMPLES)	$(examplesdir)	# Group is used here
-	[ _$(GZIPDOCS) != _yes ] || gzip --best --force --verbose $(docsdir)/changelog
-	if [ $(datadir) != $(docsdir) ]; \
-	then \
-		ln -f -s $(relDATADIR)/$(DP) $(docsdir) \
-		|| ln -f $(relDATADIR)/$(DP) $(docsdir); \
+	if [ _$$NODOCS = _ ]; then \
+	    $(INSTALL_MAN)		$(MAN1)	$(mandir)/man1; \
+	    test -e $(docsdir) || $(MKDIR)	$(docsdir); \
+	    for f in $(DOCS); do \
+		    test -h $$f || $(INSTALL_MAN) $$f	$(docsdir); \
+	    done; \
+	    ln -s -f copyright $(docsdir)/COPYING \
+	    || ln -f copyright $(docsdir)/COPYING; \
+	    ln -s -f INSTALL $(docsdir)/README \
+	    || ln -f INSTALL $(docsdir)/README; \
+	    test -e $(examplesdir) || $(MKDIR)	$(examplesdir); \
+	    $(INSTALL_SCRIPT)	$(EXAMPLES)	$(examplesdir); \
+	    if [ _$(GZIPDOCS) = _yes -a _$(NOMANCOMPRESS) = _ ]; then \
+		    gzip --best --force --verbose $(docsdir)/changelog $(mandir)/man1/$(MAN1); \
+		    suff=.gz; \
+	    else \
+		    suff=; \
+	    fi; \
+	    ln -f -s $(MAN1)$$suff $(mandir)/man1/xdp.1$$suff \
+	    || ln -f $(MAN1)$$suff $(mandir)/man1/xdp.1$$suff; \
+	    if [ $(BINshort)_ != _ ]; then \
+		ln -f -s $(MAN1)$$suff $(mandir)/man1/$(BINshort).1$$suff \
+		|| ln -f $(MAN1)$$suff $(mandir)/man1/$(BINshort).1$$suff; \
+	    fi; \
+	    if [ $(datadir) != $(docsdir) ]; \
+	    then \
+		    ln -f -s $(relDATADIR)/$(DP) $(docsdir) \
+		    || ln -f $(relDATADIR)/$(DP) $(docsdir); \
+	    fi; \
 	fi
 
 $(Package)-$(VERSION).lsm lsm:	$(Package).lsm.in
@@ -189,45 +210,54 @@
 	@echo Testing installation...
 	$(bindir)/$(BIN)
 	-$(bindir)/$(BINshort)
-	sh -c '. $(examplesdir)/profile'
+	$(bindir)/xdp
 	@echo -n "Press <enter> ... "
 	@sh -c 'read a'
 
 uninstall:
-	rm -f $(bindir)/$(BIN) $(bindir)/$(BINshort) \
-				$(datadir)/$(DP)
-	cd $(docsdir) \
-		&& for f in $(DOCS); do rm -f $$f $$f.gz; done
-	cd $(examplesdir) \
+	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) \
+		$(mandir)/man1/$(MAN1) $(mandir)/man1/xdp.1 \
+		$(mandir)/man1/$(MAN1).gz $(mandir)/man1/xdp.1.gz
+	if [ $(BINshort)_ != _ ]; then \
+		rm -f $(mandir)/man1/$(BINshort).1 $(mandir)/man1/$(BINshort).1.gz; \
+	fi
+	-cd $(docsdir) \
+		&& for f in $(DOCS); do rm -f $$f $$f.gz; done; rm -f COPYING README $(Package)-*.lsm
+	-cd $(examplesdir) \
 		&& for f in $(EXAMPLES); \
 			do rm -f $${f##*/} $${f##*/}.gz; done
 	-rmdir $(examplesdir) 
 	-rmdir $(datadir) $(docsdir)
 
-UPHOST=sunsite.unc.edu
-upload: #dist debdist ../$(Package)-$(VERSION).tar.gz $(Package)-$(VERSION).lsm
+upload: upload_main #dist debdist ../$(Package)-$(VERSION).tar.gz $(Package)-$(VERSION).lsm
 	[ $(VERSION)x != x ]
 	[ "`rpm --checksig \
 		/usr/src/redhat/SRPMS/$(Package)-$(VERSION)-*.src.rpm \
 		/usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-*.$(ARCHITECTURE).rpm \
 	| grep -c 'pgp md5 OK$$'`" = 2 ]
-	set -x; xPWD=`pwd` && echo -e \
-	   open -r -d 10 ftp.redhat.com\\n \
-	   cd /pub/Incoming\\n \
+	set -x; xPWD=`pwd` && echo -e open -r -d 10 incoming.redhat.com\\n \
+	   cd /libc6 \\n \
 	   mput /usr/src/redhat/SRPMS/$(Package)-$(VERSION)-*.src.rpm \
 	    /usr/src/redhat/RPMS/$(ARCHITECTURE)/$(Package)-$(VERSION)-*.rpm\\n \
 	   dir $(Package)-$(VERSION)-0.src.rpm $(Package)-$(VERSION)-0.i386.rpm\\n \
 	   redir \>$$xPWD/../$(Package)-$(VERSION).ftp.redhat.com\\n \
 	| ncftp
+#	dupload --to erlangen ../$(package)_$(VERSION)_$(ARCHITECTURE).changes
+	echo -ne \\a
+	sleep 1s
+	echo -ne \\a
+
+UPHOST=metalab.unc.edu
+upload_main:
 	set -x; xPWD=`pwd` && echo -e open -r -d 10 $(UPHOST)\\n \
 	   cd /incoming/Linux\\n \
 	   lcd $$xPWD\\n \
-	   mput ../$(Package)-$(VERSION).tar.gz $(Package)-$(VERSION).lsm\\n \
+	   mput $(Package)-$(VERSION).lsm\\n \
+	   lcd ..\\n \
+	   mput $(Package)-$(VERSION).tar.gz \\n \
 	   dir $(Package)*\\n \
-	   redir $(Package)* \>../$(Package)-$(VERSION).$(UPHOST)\\n \
+	   redir $(Package)* \>$(Package)-$(VERSION).$(UPHOST)\\n \
 	| ncftp
-	dupload --to erlangen ../$(package)_$(VERSION)_$(ARCHITECTURE).changes
 
 # vi: set noexpandtab:
 
-
