=== FreeBSD_port/display-dhammapada/Makefile ===
# New ports collection makefile for:   display-dhammapada
# Version required:    0.20
# Date created:        20 September 1998
# Whom:                Ricardas Cepas <rch@WriteMe.Com>
#
# $Id$
#

DISTNAME=      display-dhammapada-0.20
CATEGORIES=    misc
MASTER_SITES=  ${MASTER_SITE_SUNSITE}
MASTER_SITE_SUBDIR= apps/religion

MAINTAINER=    Ricardas Cepas <rch@WriteMe.Com>

MAKE_FLAGS= PREFIX="${PREFIX}" INSTALL_DATA="${INSTALL_DATA}" INSTALL_MAN="${INSTALL_MAN}" INSTALL_PROGRAM="${INSTALL_PROGRAM}" INSTALL_SCRIPT="${INSTALL_SCRIPT}" MKDIR="${MKDIR}" NODOCS=${NOPORTDOCS} GZIPDOCS=yes NOMANCOMPRESS=${NOMANCOMPRESS} -f

do-configure:
	cd ${WRKSRC} && make clean
.include <bsd.port.mk>
