## display-dhammapada 0.21

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 package = display-dhammapada
 Package = $(package)
-VERSION = 0.20
+VERSION = 0.21
 
 # ARCHITECTURE is for Linux packages only:
 #ARCHITECTURE = i386
@@ -28,13 +28,14 @@
 BINshort = dp
 CC      = cc
 DP       = dhammapada-english-transl.txt
+DPALT    = dhammapada-alternate.txt
 DEBDIST	= ../$(package)_$(VERSION)_$(ARCHITECTURE).changes \
 	../$(package)_$(VERSION)_$(ARCHITECTURE).deb \
 	../$(package)_$(VERSION).dsc \
 	../$(package)_$(VERSION).tar.gz
 DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
-DOCS     = $(DP) $(Package)-$(VERSION).lsm changelog copyright INSTALL
-EXAMPLES = examples/profile examples/xsession
+DOCS     = $(DP) $(DPALT) $(Package)-$(VERSION).lsm changelog copyright INSTALL
+EXAMPLES = examples/profile examples/xsession examples/amortips
 MAN1	= $(Package).1
 #GZIPDOCS = yes
 SRCS    = $(BIN).c $(Package).spec.in Makefile INSTALL
@@ -48,14 +49,13 @@
 datadir  = $(prefix)/share/$(Package)
 # relative symlink from docsdir to datadir:
 relDATADIR = ../../$(Package)
-DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP)"' \
-	'-DDPPATHNAME2="$(datadir)/$(DP)"' '-DVERSION="$(VERSION)"'
+DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP):$(datadir)/$(DP)"' '-DDPPATHNAME_ALT="$(docsdir)/$(DPALT):$(datadir)/$(DPALT)"' '-DVERSION="$(VERSION)"'
 
 all:	$(BIN) $(MAN1)
 
 $(BIN):
 
-$(MAN1):
+$(MAN1):	$(Package).1.in
 	    sed -e's./usr/share/display-dhammapada.$(datadir).g;s./usr/share/doc/display-dhammapada.$(docsdir).g'	<$(Package).1.in >$(MAN1); \
 
 clean:
@@ -113,6 +113,7 @@
 	fi; \
 	test -e $(datadir) || $(MKDIR)	$(datadir); \
 	$(INSTALL_DATA)		$(DP)		$(datadir); \
+	$(INSTALL_DATA)		$(DPALT)	$(datadir); \
 	if [ _$$NODOCS = _ ]; then \
 	    $(INSTALL_MAN)		$(MAN1)	$(mandir)/man1; \
 	    test -e $(docsdir) || $(MKDIR)	$(docsdir); \
@@ -139,8 +140,8 @@
 	    fi; \
 	    if [ $(datadir) != $(docsdir) ]; \
 	    then \
-		    ln -f -s $(relDATADIR)/$(DP) $(docsdir) \
-		    || ln -f $(relDATADIR)/$(DP) $(docsdir); \
+		    ln -f -s $(relDATADIR)/$(DP) $(docsdir) || ln -f $(relDATADIR)/$(DP) $(docsdir); \
+		    ln -f -s $(relDATADIR)/$(DPALT) $(docsdir) || ln -f $(relDATADIR)/$(DPALT) $(docsdir); \
 	    fi; \
 	fi
 
@@ -215,7 +216,7 @@
 	@sh -c 'read a'
 
 uninstall:
-	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) \
+	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) $(datadir)/$(DPALT) \
 		$(mandir)/man1/$(MAN1) $(mandir)/man1/xdp.1 \
 		$(mandir)/man1/$(MAN1).gz $(mandir)/man1/xdp.1.gz
 	if [ $(BINshort)_ != _ ]; then \
