## display-dhammapada 0.23

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 package = display-dhammapada
 Package = $(package)
-VERSION = 0.21
+VERSION = 0.23
 
 # ARCHITECTURE is for Linux packages only:
 #ARCHITECTURE = i386
@@ -11,8 +11,12 @@
 
 # flags for your C compiler:
 OPT = -O2
-WARN = -ansi -Wall -Wno-unused
-CFLAGS  = $(OPT) $(WARN) $(DEFS)
+WARN = -ansi -Wall -Wno-unused -Wno-parentheses
+CFLAGS = $(OPT) $(WARN) $(DEFS) -I/usr/local/include
+# if you get undefined reference to `iconv_open' add this:
+# CFLAGS += -L/usr/local/lib -liconv
+# Or you may get rid off locale support completely:
+# CFLAGS += -DNO_LOCALE
 
 # install files with this ownership:
 owner=root
@@ -29,12 +33,13 @@
 CC      = cc
 DP       = dhammapada-english-transl.txt
 DPALT    = dhammapada-alternate.txt
+DPPL     = dhammapada-polish-transl.txt
 DEBDIST	= ../$(package)_$(VERSION)_$(ARCHITECTURE).changes \
 	../$(package)_$(VERSION)_$(ARCHITECTURE).deb \
 	../$(package)_$(VERSION).dsc \
 	../$(package)_$(VERSION).tar.gz
 DEBIAN	= debian/changelog debian/control debian/copyright debian/rules 
-DOCS     = $(DP) $(DPALT) $(Package)-$(VERSION).lsm changelog copyright INSTALL
+DOCS     = $(DP) $(DPALT) $(DPPL) $(Package)-$(VERSION).lsm changelog copyright INSTALL
 EXAMPLES = examples/profile examples/xsession examples/amortips
 MAN1	= $(Package).1
 #GZIPDOCS = yes
@@ -49,7 +54,7 @@
 datadir  = $(prefix)/share/$(Package)
 # relative symlink from docsdir to datadir:
 relDATADIR = ../../$(Package)
-DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP):$(datadir)/$(DP)"' '-DDPPATHNAME_ALT="$(docsdir)/$(DPALT):$(datadir)/$(DPALT)"' '-DVERSION="$(VERSION)"'
+DEFS    = '-DDPPATHNAME="$(docsdir)/$(DP):$(datadir)/$(DP)"' '-DDPPATHNAME_ALT="$(docsdir)/$(DPALT):$(datadir)/$(DPALT)"' '-DDPPATHNAME_PL="$(docsdir)/$(DPPL):$(datadir)/$(DPPL)"' '-DVERSION="$(VERSION)"'
 
 all:	$(BIN) $(MAN1)
 
@@ -114,6 +119,7 @@
 	test -e $(datadir) || $(MKDIR)	$(datadir); \
 	$(INSTALL_DATA)		$(DP)		$(datadir); \
 	$(INSTALL_DATA)		$(DPALT)	$(datadir); \
+	$(INSTALL_DATA)		$(DPPL)		$(datadir); \
 	if [ _$$NODOCS = _ ]; then \
 	    $(INSTALL_MAN)		$(MAN1)	$(mandir)/man1; \
 	    test -e $(docsdir) || $(MKDIR)	$(docsdir); \
@@ -142,6 +148,7 @@
 	    then \
 		    ln -f -s $(relDATADIR)/$(DP) $(docsdir) || ln -f $(relDATADIR)/$(DP) $(docsdir); \
 		    ln -f -s $(relDATADIR)/$(DPALT) $(docsdir) || ln -f $(relDATADIR)/$(DPALT) $(docsdir); \
+		    ln -f -s $(relDATADIR)/$(DPPL) $(docsdir) || ln -f $(relDATADIR)/$(DPPL) $(docsdir); \
 	    fi; \
 	fi
 
@@ -216,7 +223,7 @@
 	@sh -c 'read a'
 
 uninstall:
-	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) $(datadir)/$(DPALT) \
+	rm -f $(bindir)/$(BIN) $(bindir)/xdp $(bindir)/$(BINshort) $(datadir)/$(DP) $(datadir)/$(DPALT) $(datadir)/$(DPPL) \
 		$(mandir)/man1/$(MAN1) $(mandir)/man1/xdp.1 \
 		$(mandir)/man1/$(MAN1).gz $(mandir)/man1/xdp.1.gz
 	if [ $(BINshort)_ != _ ]; then \
@@ -251,7 +258,7 @@
 UPHOST=metalab.unc.edu
 upload_main:
 	set -x; xPWD=`pwd` && echo -e open -r -d 10 $(UPHOST)\\n \
-	   cd /incoming/Linux\\n \
+	   cd /incoming/linux\\n \
 	   lcd $$xPWD\\n \
 	   mput $(Package)-$(VERSION).lsm\\n \
 	   lcd ..\\n \
