=== debian/changelog ===
display-dhammapada (1.0-2) unstable; urgency=medium

  * QA upload.
  * Do not recommend linotify-bin
    Closes: #1112572
  * d/watch: version=5
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Dec 2025 11:32:54 +0100

display-dhammapada (1.0-1) unstable; urgency=medium

  * QA upload.
  * Maintainer: Debian QA Group <packages@qa.debian.org>
    Closes: #1104645
  * Point Homepage to wayback machine
    Closes: #806340
  * Fake watch file since upstream site vanished
  * Add debian/README.Debian to explain problem to update database
  * d/rules is no sample
  * Install debian/README
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 0.21-2.
  * Review d/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jul 2025 09:45:59 +0200

display-dhammapada (1.0-0.1) unstable; urgency=low
  * All below mentioned work done by bodhizazen@fedoraproject.org
  * New upstream version.
  * New upstream maintainer
  - bodhi.zazen <bodhizazen at fedoraproject.org>
  -http://bodhizazen.net/display-dhammapada
  *display-dhammapada.c
  -Changed copyright from Public License  to GPL v3
  * Patched display-dhammapada.c
  -Fixed warnings
  -Paul Tagliamonte <paultag@ubuntu.com>
  -Path changed from /usr/local to /usr
  * contrib/gtk-dhammapada.c removed, it no longer compiles
  * short version renamed to dhamma
  * graphical wrapper renamed to xdhamma
  * xdhamma was re-written
  -Uses notify-send rather the xmessage
  -Added icon set for notify-send
  -Able to select translation
  -License GPL V3
  *Makefile re-written
  -Removed script to gpg sign packages
  -Removed script to upload source code
  -Set default prefix to /usr
  -Documents moved to /usr/share/doc/display-dhammapada
  -Translations moved to /usr/share/display-dhammapada
  -configured make to run as a user rather then root
  -set permissions (dir 755 files 644)
  -check if CFLAGS were passed on the command line
  -test and if needed create target (install) directories
  -cleaned dist, clean, and uninstall targets
  *Verse 50 of dhammapada-english-transl.txt
  - "no the shortcomings" changed to
  - "not the shortcomings"
  *Verse 127 in dhammapada-alternate.txt corrected - it was duplicate to 128
  -http://forum.soft32.com/linux2/Bug-169539-Missing-verse-Max-Mueller-\
  translation-ftopict67280.html
  *Information from examples/* added to man page
  -examples/* removed
  *Updated man pages
  -(Closes: #677832)
  -(Closes: LP: #1014195)
  -fixed macros
  -updated reference URL
  *Updated README to include more information
  *Organized the files into sub-directories
  *Added icons for xdhamma (notify-send)
  *copyright file updated

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Mon, 25 Jun 2012 14:05:45 -0600

display-dhammapada (0.23-7) unstable; urgency=low

  * description in debian/control was told to be in violation with Policy 3.4.1
    paragraph 2 and 3.4.2 paragraph 2. (Closes: #566742)
  * Some minor changes to get rid of lintian warnings.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Sun, 28 Feb 2010 18:27:07 +0100

display-dhammapada (0.23-6) unstable; urgency=low

  * xbase-clients is replaced by x11-utils.
  * In manpage .DD, .Bd, .Ed are removed.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Wed, 24 Dec 2008 10:52:04 +0100

display-dhammapada (0.23-5) unstable; urgency=low

  * Verse 127 in dhammapada-alternate.txt corrected - it was duplicate to 128
    before. Proper version received from alt.religion.buddhism. Information
    about that mistake has been send to upstream. (Closes: #169539)
  * Upstream Makefile corrected - stripping option removed from install.
    (Closes: #436769)
  * Package description contains now short explanation about "Dhammapada"
    itself. (Closes: #440696)
  * Some minor changes to get rid of lintian warnings.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Wed, 10 Oct 2007 15:53:38 +0200

display-dhammapada (0.23-4) unstable; urgency=low

  * debian/rules file corrected, prefix was wrong and program could not find
    data files.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Fri, 26 Jan 2007 14:42:48 +0100

display-dhammapada (0.23-3) unstable; urgency=low


  * debian/templates moved to debian/NEWS.Debian (Closes: #402300)
  * some minor lintian warnings corrected.

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Mon,  8 Jan 2007 12:30:45 +0100

display-dhammapada (0.23-2) unstable; urgency=low

  * Amaya: Jakub fixes all I broke :)

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Mon, 13 Nov 2006 13:41:52 +0100

display-dhammapada (0.23-1) unstable; urgency=high

  * New maintainer (Closes: #285159)
  * New upstream version (Closes: #285157)
  * Author of Polish translation agreed to use Creative Commons Public Domain
    Dedication as a license: http://creativecommons.org/licenses/publicdomain
    (Closes: #285156)
  * Added gtk-dhammapada (support by Wojciech Mula)
  * dp name changed to dhamma, xdp changed to xdhamma
  * xdhamma has been modified to display properly Polish messages (patch
    prepared by Wojciech Mula)
  * Some clearance to make the package lintian clean.
  * Sponsored upload, some polishing by Amaya Rodrigo <amaya@debian.org>:
    - Repackaged from scratch. debian/compat = 5
    - Updated Standars version, no changes needed.
    - Reformatted Copyright and debian/copyright files.
    - urgency=high because #285156 is RC.
    - Ack previous NMU (Closes: #359390).
    - Heavily cleaned upstream's Makefile

 -- Jakub Nadolny <jakub.nadolny@ite.pl>  Mon, 13 Nov 2006 13:41:52 +0100

display-dhammapada (0.21-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc/ link in postinst (Closes: #359390).


