=== debian/control ===
Source: display-dhammapada
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/display-dhammapada
Vcs-Git: https://salsa.debian.org/debian/display-dhammapada.git
Homepage: https://web.archive.org/web/20170418044544/http://bodhizazen.net/display-dhammapada

Package: display-dhammapada
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: x11-utils
Description: fortune-like collection of Buddhist sayings
 This program displays a random verse from the English or Polish translations of
 the Dhammapada, a "versified Buddhist scripture traditionally ascribed to the
 Buddha himself" (from http://en.wikipedia.org/wiki/Dhammapada).
 .
 As this program works similarly to fortune, one may use it in shell profiles
 or .sig generators, among others.
