=== debian/watch ===
Version: 5

Dversion-Mangle: s/.*/0.No-Release/
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# No upstream site any more, see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=806340#10
