## display-dhammapada 2.0

=== debian/changelog ===
display-dhammapada (2.0-1) unstable; urgency=medium

  * New maintainer. (Closes: #1123519)
  * New upstream version 2.0.
  * debian/control:
    - Source paragraph:
      + Bump Standards-Version to 4.7.3.
      + Update Homepage filed.
      + Update Build-Depends.
      + Modify Section from misc to games.
    - Package: display-dhammapada:
      + Update Architecture to all.
      + Add Depends "fortunes-dhammapada".
      + Update Description field, adding German.
    - Add "Package: fortunes-dhammapada" paragraph.
  * debian/copyright:
    - Remove invalid paragraphs.
    - Restore Debian contributors according to d/changelog.
    - Update Source field.
  * debian/rules:
    - Add override_dh_auto_build to clean up and convert from
      text to .dat.
  * Create debian/display-dhammapada.install &
    debian/fortunes-dhammapada.install.
  * Create debian/*.manpages.
  * Remove outdated debian/README.Debian, as upstream is now active.
  * Remove debian/README and create debian/README.upstream.
  * debian/watch:
    - Fallback to version 4 to pass mentors.debian.org tests.
    - Update to fit in with the new upstream.
  * debian/patches/fix_display-dhammapada.patch:
    - usr/local/bin/display-dhammapada:
      + Fix non-standard regular expression.
      + Use GAWK=$(which awk) instead to ensure
        that no new dependence "gawk" is needed.
      + Fix spelling errors(6erse -> verse).

 -- Haolin Xue <tzbkk@outlook.com>  Wed, 28 Jan 2026 00:41:31 +0800
