=== debian/control ===
Source: display-dhammapada
Section: games
Priority: optional
Maintainer: Haolin Xue <tzbkk@outlook.com>
Build-Depends: debhelper-compat (= 13), fortune-mod
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/display-dhammapada
Vcs-Git: https://salsa.debian.org/debian/display-dhammapada.git
Homepage: https://gitlab.com/bodhi.zazen/display-dhammapada

Package: display-dhammapada
Architecture: all
Depends: ${misc:Depends}, fortunes-dhammapada (= ${source:Version})
Description: fortune-like displayer of Buddhist sayings
 This program displays a random verse from the English, German and Polish
 translations of the Dhammapada, a "versified Buddhist scripture traditionally
 ascribed to the Buddha himself" (from http://en.wikipedia.org/wiki/Dhammapada).
 .
 As this program works similarly to fortune, one may use it in shell profiles
 or .sig generators, among others.

Package: fortunes-dhammapada
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Description: Collection of Dhammapada in English, German and Polish
 The package contains a collection of English, German and Polish translations
 of Dhammapada.
 .
 There are 2 editions of English translation. One was translated by John
 Richards, the other by Tom Weiss (tom@iname.com) based on the Gutenberg file
 'dhmpd10.txt' which is in the public domain.
 .
 The German version was translated by Karl Eugen Neumann, which is under public
 domain license.
 .
 The Polish version was translated to polish language on base of Acharaya
 Buddharakkhitta's Pali to English translation by Zbigniew Becker. It is not
 copyrighted.
