=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	rm -f install.display-dhammapada.sh
	rm -f install.fortune-dhammapada.sh
	strfile usr/share/games/fortune/dhammapada
	strfile usr/share/games/fortune/dhammapada.de
	strfile usr/share/games/fortune/dhammapada.m
	strfile usr/share/games/fortune/dhammapada.pl
	mv man/fortune-dhammapada.1 man/fortunes-dhammapada.6
	mv man/display-dhammapada.1 man/display-dhammapada.6
