=== debian/watch ===
version=4

opts="searchmode=plain,\
downloadurlmangle=s|display-dhammapada-full\.([\d\.]+)(\.tar\.[a-z0-9]+)|https://gitlab.com/bodhi.zazen/display-dhammapada/-/raw/main/display-dhammapada-full.\$1\$2|,\
filenamemangle=s/display-dhammapada-full\.([\d\.]+).*/display-dhammapada_\$1.orig.tar.xz/" \
https://gitlab.com/api/v4/projects/bodhi.zazen%2Fdisplay-dhammapada/repository/tree?ref=main \
display-dhammapada-full\.([\d\.]+)(?:\.tar\.(?:xz|gz|bz2))
